Retrieve Import Bulk Translation File Job Errors
After submitting a request to import bulk translation files, you can query Vault to determine the errors from the request (if any).
Before submitting this request:
- You must have previously requested an Import Bulk Translation Files job (via Vault API) which is no longer active
- You must be the user who initiated the job or have the Admin: Jobs: Read permission
GET
/api/{version}/services/jobs/{job_id}/errorsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The id value of the requested import job. This was returned from the Import Bulk Translation File request. |
Request
Section link for Requestcurl --location 'https://myvault.veevavault.com/api/v26.1/services/jobs/902601/errors' \
--header 'Authorization: {SESSION_ID}' \
--header 'Accept: text/csv' \Response
Section link for Response"File Name","Line Number","Error Message"
"PromoMats_French_Field-Labels.csv","","Error during TranslationImportJobExecution, File is missing the following required headers: Type. If you are sure no headings are missing, verify that the file is tab delimited."
"PromoMats_English_Field-Labels.csv","line 3,760","Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#approved_state__sys#change_state_to_draft_useraction1__sys.label"" not supported"Response Details
Section link for Response DetailsOn SUCCESS, the response includes the line number and error message for any errors encountered in the job.